ONVIF::Device::Types::ObjectId(3)

NAME
ONVIF::Device::Types::ObjectId

DESCRIPTION
Perl data type class for the XML Schema defined complexType ObjectId from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

METHODS

  new
Constructor. The following data structure may be passed to new():

,

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::Device::Types::ObjectId::_ObjectId::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   ObjectId

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::integer.

AUTHOR
Generated by SOAP::WSDL